using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Learn_SQL.Model.Entities;

namespace Learn_SQL.Model.DAL
{
    public interface ISqlTaskStorage
    {
        SqlTaskData GetTask(int id);
    }

    public class FakeStorage 
        : ISqlTaskStorage
    {
        public SqlTaskData GetTask(int id)
        {
            return new SqlTaskData()
            {
                Id = id,
                TaskText = "TaskText",
                CorrectSolution = 
                @"
SELECT model, type
FROM Printer
"
            };
        }
    }


}
